<div class="flex space-x-4">
  <div
    class="py-2 mr-2 ease-linear transition-all duration-150"
    :class="{ 'opacity-25 pointer-events-none': controller?.loading }"
  >
    <label for="DNS_SERVER">Use DNS Server:</label>
    <select
      id="DNS_SERVER"
      class="w-32 px-3 py-1 rounded-md bg-white text-sm font-semibold"
      x-model="form.config.data.DNS_SERVER"
    >
      <option value="1.1.1.1">Cloudflare</option>
      <option value="8.8.8.8">Google</option>
    </select>
  </div>
  <div>
    <button
      type="button"
      class="py-3 text-gray-500 background-transparent font-bold uppercase outline-none focus:outline-none mr-1 mb-1 ease-linear transition-all duration-150"
      :class="{ 'opacity-25': controller?.loading }"
      @click="results = await controller.fetchData(true);"
      x-bind:disabled="controller?.loading"
    >
      <i
        class="fa-solid fa-arrows-rotate"
        :class="{ 'animate-spin': controller?.loading }"
      ></i>
      <span class="ml-1">Refresh</span>
    </button>
  </div>
</div>
